Skip to main content
POST
/
api
/
data-readiness
/
data-assets
/
profiles
/
tables
/
batch
Batch-fetch latest table profiles by table FQN
curl --request POST \
  --url https://api.example.com/api/data-readiness/data-assets/profiles/tables/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "table_fqns": [
    "<string>"
  ]
}
'
{
  "profiles": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "asset_fqn": "<string>",
      "service": "<string>",
      "asset_version": "<string>",
      "created_at": "<string>",
      "workflow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "database_name": "<string>",
      "schema_name": "<string>",
      "table_name": "<string>",
      "row_count": 123,
      "column_count": 123,
      "sample_data_rows": [
        {}
      ],
      "size_bytes": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Include the token in the Authorization header as: Authorization: Bearer <token>. The JWT must contain valid client_id, and project_id claims for tenant isolation and SDK routing.

Body

application/json

Request body for POST /profiles/tables/batch.

table_fqns
string[]
required
Minimum array length: 1

Response

Successful Response

Response body for POST /profiles/tables/batch.

profiles
TableProfileResponse · object[]
required